/*
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2014 ForgeRock AS.
 */

package org.forgerock.openig.filter.oauth2;

/**
 * Represents an exception whilst retrieving an OAuth2 access token.
 */
public class OAuth2TokenException extends Exception {

    /**
     * Serial Version UID.
     */
    public static final long serialVersionUID = -1L;

    /**
     * Builds an {@link OAuth2TokenException} with a given message.
     *
     * @param message
     *         Exception's message
     */
    public OAuth2TokenException(final String message) {
        this(message, null);
    }

    /**
     * Builds an {@link OAuth2TokenException} with a given message and cause.
     *
     * @param message
     *         Exception's message
     * @param cause
     *         Exception cause
     */
    public OAuth2TokenException(final String message, final Exception cause) {
        super(message, cause);
    }
}
